#include "LassoSelect.hpp"


/*
bool LassoSelect::LassoContains(Point3f p){

	int int_count = 0;
	for(int i=0;i<contour.size();i++){
		Point3f p1 = contour[i];
		Point3f p2 = contour[(i+1)%contour.size()];
	if( (v.y()-p1.y())*(v.y()-p2.y())<0){
		if(v.x()>p1.x() && v.x()>p2.x())
				int_count++;
		else if( (v.x()-p1.x())*(v.x()-p2.x())<0 ){
			float side = ((p2-p1)%(v-p1)).z();
			if(side>0)
				int_count++;
		}
	}

	}
	return int_count%2;
}
*/


